| PUT | /RestApi/comments-api/comments/list |
|---|
import Foundation
import ServiceStack
public class CommentsBatchUpdateRequest : Codable
{
public var key:[String] = []
public var status:String
required public init(){}
}
public class CollectionResponse<CommentResponse : Codable> : Codable
{
public var totalCount:Int
public var items:[CommentResponse] = []
required public init(){}
}
public class CommentResponse : Codable
{
public var key:String
public var name:String
public var message:String
public var dateCreated:Date
public var profilePictureUrl:String
public var profilePictureThumbnailUrl:String
public var status:String
public var email:String
public var threadKey:String
public var authorIpAddress:String
public var customData:String
public var rating:Double?
required public init(){}
}
Swift CommentsBatchUpdateRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/comments-api/comments/list HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Key:
[
String
],
Status: String
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
TotalCount: 0
}